IDEA Spring Exception

Hi

I am using IDEA 6.0.1 and was testing the most recent IdeaSpring plugin available on the settings/plugins list last week (first week of November, 2006). I have uninstalled it so can't say exactly which version it was.

This is the most recent exception

Provider org.apache.xerces.jaxp.DocumentBuilderFactoryLocator could not be instantiated: java.lang.NullPointerException
javax.xml.parsers.FactoryConfigurationError: Provider org.apache.xerces.jaxp.DocumentBuilderFactoryLocator could not be instantiated: java.lang.NullPointerException
at javax.xml.parsers.DocumentBuilderFactory.newInstance(DocumentBuilderFactory.java:104)
at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.createDocumentBuilderFactory(XmlBeanDefinitionReader.java:250)
at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.doLoadBeanDefinitions(XmlBeanDefinitionReader.java:217)
at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions(XmlBeanDefinitionReader.java:173)
at org.springframework.beans.factory.xml.XmlBeanDefinitionReader.loadBeanDefinitions(XmlBeanDefinitionReader.java:148)
at com.yanaware.intellij.ideaspring.navigation.parser.h.a(SourceFile:502)
at com.yanaware.intellij.ideaspring.navigation.parser.h.c(SourceFile:545)
at com.yanaware.intellij.ideaspring.navigation.parser.h.c(SourceFile:68)
at com.yanaware.intellij.ideaspring.navigation.parser.f.run(SourceFile:212)
at com.intellij.openapi.application.impl.LaterInvocator$FlushQueue.run(LaterInvocator.java:6)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:461)
at com.intellij.ide.IdeEventQueue.defaultDispatchEvent(IdeEventQueue.java:163)
at com.intellij.ide.IdeEventQueue.a(IdeEventQueue.java:8)
at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:145)
at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:163)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:157)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:149)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)

3 comments

Hi Patrick,

The version available in the plugin manager is not compatible vith Idea 6.0
Please download latest beta version from http://yanaware.com/ideaspring/eap.php

0

the EAP (1.3EAP4) version listed as meant for IntelliJ 6 gives that same error...

That's on IDEA 6.0.4

Also getting a lot of the following (while it's just sitting there, it doesn't do anything as it can't parse any XML file):

Argument 0 for @NotNull parameter of com/intellij/psi/impl/PsiManagerImpl.removePsiTreeChangeListener must not be null
java.lang.IllegalArgumentException: Argument 0 for @NotNull parameter of com/intellij/psi/impl/PsiManagerImpl.removePsiTreeChangeListener must not be null
at com.intellij.psi.impl.PsiManagerImpl.removePsiTreeChangeListener(PsiManagerImpl.java)
at com.yanaware.intellij.ideaspring.psi.w.b(SourceFile:111)
at com.yanaware.intellij.ideaspring.psi.HighlightersSupport.projectClosed(SourceFile:45)
at com.intellij.openapi.project.impl.ProjectImpl.d(ProjectImpl.java:15)
at com.intellij.openapi.project.impl.ProjectImpl.access$300(ProjectImpl.java:6)
at com.intellij.openapi.project.impl.ProjectImpl$MyProjectManagerListener.projectClosed(ProjectImpl.java:3)
at com.intellij.openapi.project.impl.ProjectManagerImpl$1.projectClosed(ProjectManagerImpl.java:21)
at com.intellij.openapi.project.impl.ProjectManagerImpl.e(ProjectManagerImpl.java:250)
at com.intellij.openapi.project.impl.ProjectManagerImpl.closeProject(ProjectManagerImpl.java:235)
at com.intellij.ide.impl.ProjectUtil.closeProject(ProjectUtil.java:48)
at com.intellij.openapi.wm.impl.IdeFrame$1$1.run(IdeFrame.java:3)
at com.intellij.openapi.application.impl.LaterInvocator$FlushQueue.run(LaterInvocator.java:10)
at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
at java.awt.EventQueue.dispatchEvent(EventQueue.java:461)
at com.intellij.ide.IdeEventQueue.b(IdeEventQueue.java:8)
at com.intellij.ide.IdeEventQueue.a(IdeEventQueue.java:72)
at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:73)
at java.awt.EventDispatchThread.pumpOneEventForHierarchy(EventDispatchThread.java:242)
at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:163)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:157)
at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:149)
at java.awt.EventDispatchThread.run(EventDispatchThread.java:110)

0

Hi,

Any progress on this? I just tried to install idea-spring-1.3.EAP4-demetra.zip
on IDEA 6.0.4 and got exactly the same error.

0

Please sign in to leave a comment.